View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000500aMuleMiscpublic2005-07-16 17:262005-08-12 02:15
ReporterMa3oxuct 
Assigned ToXaignar 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000500: aMule freezes
DescriptionI have attempted to view debug information on this, but can't seem to find anything wrong. What occurs is that ramdomly (as it seems) amule just freezes. When it does this it eats up 100% CPU usage, and the only way possible to turn it off is by running the command, killall amule, twice.

Here is output of amule's log, it gives from info of what versions of programs I have:

Logging to stdout enabled
Initialising aMule
Checking if there is an instance already running...
2005-07-16 01:12:27: Creditfile loaded, 3756 clients are known
2005-07-16 01:12:27: No 'cryptkey.dat' file found, creating
2005-07-16 01:12:28:
2005-07-16 01:12:28: - This is aMule CVS using wxGTK2 v2.6.1 (Snapshot: Thu Jul
 14 07:01:33 CEST 2005) based on eMule.
2005-07-16 01:12:28: Running on Linux 2.6.12-gentoo-r3 i686
2005-07-16 01:12:28: - Visit http://www.amule.org [^] to check if a new version is
available.
2005-07-16 01:12:28:
2005-07-16 01:12:28: Loading server.met file: /home/andrey/.aMule/server.met
2005-07-16 01:12:28: 162 servers in server.met found
Loading temp files from /in/amule/temp.
Loading PartFile 10 of 10
All PartFiles Loaded.
2005-07-16 01:12:28: Found 10 part files
2005-07-16 01:12:28: External connections disabled in config file
ListenSocket: Ok.

External connections disabled in config file
*** Server UDP socket (TCP+3) at 0.0.0.0:4665
*** TCP socket (TCP) listening on 0.0.0.0:4662
*** Client UDP socket (extended eMule) at 0.0.0.0:4672
Adding file /in/amule/temp/002.part.met to shares
Adding file /in/amule/temp/004.part.met to shares
Adding file /in/amule/temp/006.part.met to shares
Adding file /in/amule/temp/007.part.met to shares
Adding file /in/amule/temp/008.part.met to shares
Adding file /in/amule/temp/010.part.met to shares
Adding file /in/amule/temp/011.part.met to shares
Adding file /in/amule/temp/014.part.met to shares
2005-07-16 01:12:28: Found 34 known shared files
2005-07-16 01:12:28: Loading ipfilter.dat files.
2005-07-16 01:12:30: Loaded 128648 IP-ranges from 'ipfilter.dat'. 0 malformed li
nes were discarded.
2005-07-16 01:12:30: Loaded 0 IP-ranges from 'ipfilter_static.dat'. 0 malformed
lines were discarded.
2005-07-16 01:12:30: Connecting
2005-07-16 01:12:30: Servers: Trying to connect
2005-07-16 01:12:30: Connecting to Sonny Boy 2 (64.34.161.44 - 64.34.161.44:5661
)
DEBUG: OnRun()
2005-07-16 01:12:30: Servers: Trying to connect
2005-07-16 01:12:30: Connecting to www.eMule-Mods.BIZ (69.50.243.2 - 69.50.243.2
:4646)
2005-07-16 01:12:30: AICH Thread: Syncronization thread started.
2005-07-16 01:12:30: AICH Thread: Masterhashes of known files have been loaded.
2005-07-16 01:12:30: AICH Thread: No new files found.
2005-07-16 01:12:30: AICH Thread: Terminated.
2005-07-16 01:12:30: Connected to www.eMule-Mods.BIZ (69.50.243.2:4646)
2005-07-16 01:12:30: Servers: Connected
2005-07-16 01:12:30: Connection established on: www.eMule-Mods.BIZ
2005-07-16 01:12:30: New clientid is 1345339714
2005-07-16 01:12:30: ServerMessage: server version 17.3 (lugdunum)
2005-07-16 01:12:30: ServerMessage: www.eMule-Mods.BIZ - fastest eMule-Clients i
n Universe
2005-07-16 01:12:30: ServerMessage: Stats @ DSL 1000: Cumulative UL:DL Ratio: 1
: 4.61 | Average Downloadrate: 54.17 kB/s
2005-07-16 01:12:30: ServerMessage: ---------------------------------
2005-07-16 01:12:30: ServerMessage: >>> www.filesharing.pro.tc >>>
2005-07-16 01:12:30: ServerMessage: ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2005-07-16 01:12:30: ServerMessage: *** GAMES + XXX + PROGRAMMS ***
2005-07-16 01:12:30: ServerMessage: *** MOVIES + MP3 + PICTURES ***
2005-07-16 01:12:30: ServerMessage: ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
2005-07-16 01:12:30: ServerMessage: '
2005-07-16 01:12:30: ServerMessage: no logs | very secure <> keine logs | absolu
t sicher
2005-07-16 01:12:30: ServerMessage: '
2005-07-16 01:12:30: ServerMessage: <<< www.filesharing.pro.tc <<<
2005-07-16 01:12:30: ServerMessage: ---------------------------------
2005-07-16 01:12:30: ServerMessage: powered by www.eMule-Mods.BIZ & www.fileshar
ing.pro.tc
2005-07-16 01:12:30: Received 1 new servers
2005-07-16 01:12:30: Saving of server-list completed.
2005-07-16 01:28:42: Packet Parsing Errors: Wrong Tags on hello type packet - Error reading tag from met file
Sent by tropert (shareaza.com) on ip 81.53.78.176 port 0 using client 36 version 3d
User Disconnected.
2005-07-16 01:50:01: Hasher: Creating new thread.
2005-07-16 01:50:01: Hasher: Starting to create MD4 and AICH hash for file: 004.part
2005-07-16 01:50:11: Hasher: Finished hashing file: 004.part
2005-07-16 01:50:11: Suspending upload of file: 5F47802FA0F2244FFB2B12A7442899A9
2005-07-16 01:50:11: Hasher: No files on queue, stopping thread.
2005-07-16 01:50:11: Hasher: A thread has died.
2005-07-16 01:50:11: Resuming uploads of file: 5F47802FA0F2244FFB2B12A7442899A9
2005-07-16 01:50:11: Finished downloading: South Park - 813 - Cartman's Incredible Gift.avi
2005-07-16 01:50:11: AICH Thread: Syncronization thread started.
2005-07-16 01:50:11: AICH Thread: Masterhashes of known files have been loaded.
2005-07-16 01:50:11: AICH Thread: No new files found.
2005-07-16 01:50:11: AICH Thread: Terminated.


Although I was asleep, I think amule froze at around 1:50:11.
Additional InformationThis issue occurred in one of last month's CVS builds. I use Gentoo as my OS. gcc version 3.4.4, wxGTK version 2.6.1.

Also, this may very well be related, but I can't understand how: After aMule freezes, my router gets messed up (it loses packets and barely lets me do anything). As soon as I restart the router, all is fine.

I am at a loss as to what could have cuased amule to freeze as it does. It worked perfectly before for days at a time. I am thinking of removing amule's home folder and allowing it to rebuild it.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Filestxt file icon amule-crash-end-of-log.txt [^] (410,523 bytes) 2005-07-22 22:07
txt file icon amule-log-snippet.txt [^] (9,793 bytes) 2005-07-23 04:59 [Show Content]

- Relationships

-  Notes
(0001150)
Ma3oxuct (reporter)
2005-07-16 19:41

Ok, I deleted my aMule folder in my /home, I allowed it to work in default settings, and after some time it froze.

Logfile shows pretty much the same stuff as this one...I'll attempt to get a closer feel as to when it freezes now.
(0001151)
Ma3oxuct (reporter)
2005-07-17 01:08

2005-07-16 17:26:48: Creditfile loaded, 207 clients are known
2005-07-16 17:26:48: No 'cryptkey.dat' file found, creating
2005-07-16 17:26:49:
2005-07-16 17:26:49: - This is aMule CVS using wxGTK2 v2.6.1 (Snapshot: Thu Jul 14 07:01:33 CEST 2005) based on eMule.
2005-07-16 17:26:49: Running on Linux 2.6.12-gentoo-r3 i686
2005-07-16 17:26:49: - Visit http://www.amule.org [^] to check if a new version is available.
2005-07-16 17:26:49:
2005-07-16 17:26:49: Loading server.met file: /home/andrey/.aMule/server.met
2005-07-16 17:26:49: 147 servers in server.met found
2005-07-16 17:26:49: Found 9 part files
2005-07-16 17:26:49: External connections disabled in config file
2005-07-16 17:26:49: Found 34 known shared files
2005-07-16 17:26:49: Loading ipfilter.dat files.
2005-07-16 17:26:49: Loaded 0 IP-ranges from 'ipfilter.dat'. 0 malformed lines were discarded.
2005-07-16 17:26:49: Loaded 0 IP-ranges from 'ipfilter_static.dat'. 0 malformed lines were discarded.
2005-07-16 17:26:49: Connecting
2005-07-16 17:26:49: Servers: Trying to connect
2005-07-16 17:26:49: Connecting to GasBastards (64.69.78.245 - 64.69.78.245:4661)
2005-07-16 17:26:49: Servers: Trying to connect
2005-07-16 17:26:49: Connecting to !-= www.FreeOsex.com =-! (83.149.117.56 - 83.149.117.56:4321)
2005-07-16 17:26:50: AICH Thread: Syncronization thread started.
2005-07-16 17:26:50: AICH Thread: Masterhashes of known files have been loaded.
2005-07-16 17:26:50: AICH Thread: No new files found.
2005-07-16 17:26:50: AICH Thread: Terminated.
2005-07-16 17:26:50: Connected to GasBastards (64.69.78.245:4661)
2005-07-16 17:26:50: Connected to !-= www.FreeOsex.com =-! (83.149.117.56:4321)
2005-07-16 17:26:50: Servers: Connected
2005-07-16 17:26:50: Connection established on: !-= www.FreeOsex.com =-!
2005-07-16 17:26:50: New clientid is 1345339714
2005-07-16 17:26:50: ServerMessage: server version 17.4 (lugdunum)
2005-07-16 17:26:50: ServerMessage: http://www.FreeOsex.com [^] Free Porn Free http://www.FreeOsex.com [^]
2005-07-16 17:26:50: ServerMessage: http://www.FreeOsex.com [^] Porn Free Porn http://www.FreeOsex.com [^]
2005-07-16 17:26:50: ServerMessage: http://www.FreeOsex.com [^] Free Porn Free http://www.FreeOsex.com [^]
2005-07-16 17:26:50: ServerMessage: http://www.FreeOsex.com [^] Porn Free Porn http://www.FreeOsex.com [^]
2005-07-16 17:26:50: ServerMessage: http://www.FreeSexBay.com [^] | http://www.FreeOsex.com [^] | http://www.OurFreeSex.com [^]
2005-07-16 17:26:50: ServerMessage: http://www.FreeSexBay.com [^] | http://www.FreeOsex.com [^] | http://www.OurFreeSex.com [^]
2005-07-16 17:26:50: ServerMessage: http://www.FreeSexBay.com [^] | http://www.FreeOsex.com [^] | http://www.OurFreeSex.com [^]
2005-07-16 17:26:50: ServerMessage: For Some More Hardcore action visit http://www.Porn-Vendor.com [^]
2005-07-16 17:26:50: ServerMessage: For Some More Hardcore action visit http://www.Porn-Vendor.com [^]
2005-07-16 17:26:50: ServerMessage: * Free Sex Pictures and Movies. And Live Web cams
2005-07-16 17:26:50: ServerMessage: No Credit Card Needed!! All You Need Is An Email!!
2005-07-16 17:26:50: ServerMessage: No Credit Card Needed!! All You Need Is An Email!!
2005-07-16 17:26:50: ServerMessage: www.FreeSexBay.com www.Porn-Vendor.com
2005-07-16 17:26:50: Saving of server-list completed.
2005-07-16 18:01:16: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:01:16: Actual part-hash: CDC753925ABA8315E302F1E26DD7EFB4
2005-07-16 18:02:16: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:02:16: Actual part-hash: A24DA17EF533EC5BA97902C2CC2CE602
2005-07-16 18:03:16: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:03:16: Actual part-hash: A4C906B8AA1929EE42CC1FD6A19D91BC
2005-07-16 18:30:11: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:30:11: Actual part-hash: 62A38C8C7B1586552FB97DE926B0A7C4
2005-07-16 18:30:39: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:30:39: Actual part-hash: D226135E7CDD7ED0F3C169AE7DFD04C4
2005-07-16 18:31:01: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:31:01: Actual part-hash: 354478FC25B545FA83044335DEE2142D
2005-07-16 18:31:26: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:31:26: Actual part-hash: D15FAC34D549F1EB3EE31D43CC1DFA0D
2005-07-16 18:31:46: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:31:46: Actual part-hash: 69C1B03ED7196ED38D3939A5736E9C03
2005-07-16 18:32:06: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:32:06: Actual part-hash: 84BD91DB88DB0CCD5A07CCB6308F8CCF
2005-07-16 18:32:28: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:32:28: Actual part-hash: 60F13DF4EAC15CE45DE2A088B48166A4
2005-07-16 18:33:11: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:33:11: Actual part-hash: 308E63A7264D0DD66868FF518E8AFB3E
2005-07-16 18:33:50: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:33:50: Actual part-hash: 000F97D101329A9BEED4BD43B1A58A8C
2005-07-16 18:34:09: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:34:09: Actual part-hash: 442C6953A389C0DD4317E9796C377C7B
2005-07-16 18:34:50: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:34:50: Actual part-hash: CA781F244BBF2ABFAE552AEE83BD7B18
2005-07-16 18:35:12: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:35:12: Actual part-hash: 4817E051B757D30C5C42C7BEA1D04EBF
2005-07-16 18:36:16: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:36:16: Actual part-hash: BF3D5D8BF768256D431F52D0619CC6D4
2005-07-16 18:50:46: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:50:46: Actual part-hash: BF9C177262CE976FB7E9C38D93F93EB4
2005-07-16 18:51:46: Expected part-hash: 558E606361BD2D34EA7429ACE04D9655
2005-07-16 18:51:46: Actual part-hash: F41B0C151280C54C028CC832F7564640

Here is another log of a freeze.
(0001159)
Ma3oxuct (reporter)
2005-07-20 04:20

I've just returned from a short trip, so I'm going to continue trying to help solve this bug.

Is there any form of debugging output that is more detailed/specific than the output I've been attaining? If there is, what do I have to do inorder to produce it?
(0001161)
Ma3oxuct (reporter)
2005-07-21 16:23

Oh dear, its all in the GUI settings...now waiting for the bug to recur.
(0001164)
Ma3oxuct (reporter)
2005-07-22 22:02

Attached is the last section of amule's log (If more of the log is needed do not hesitate to ask), with all debegging info. This seems to be the cause of the freeze. I am not sure, but it seems to go into a loop of some sort, and keeps on until I issue the killall amule command in terminal twice.
(0001165)
Ma3oxuct (reporter)
2005-07-23 04:59

Ok, here is another crash...same exact reason (snippet of log attached).
(0001166)
Xaignar (manager)
2005-07-23 18:21

I'm committing a fix in a moment, please let us know if the problem still exists in tomorrows (and onwards) snapshot.

Cheers,
 Xaignar
(0001168)
Ma3oxuct (reporter)
2005-07-24 07:07

I compiled the latest cvs build and so far so good. I'll let it run for as long as possible now, and will let you know if the crash persists.

Thank you for your time :)
(0001171)
Xaignar (manager)
2005-07-26 15:25

No problem, and thank you for the detailed bug-reports.

Cheers,
 Xaignar
(0001213)
Xaignar (manager)
2005-08-12 02:15

No futher comments, I'm assuming that the issue is resolved.

Cheers,
 Xaignar

- Issue History
Date Modified Username Field Change
2005-07-16 17:26 Ma3oxuct New Issue
2005-07-16 19:41 Ma3oxuct Note Added: 0001150
2005-07-17 01:08 Ma3oxuct Note Added: 0001151
2005-07-19 21:47 Xaignar Status new => acknowledged
2005-07-20 04:20 Ma3oxuct Note Added: 0001159
2005-07-21 16:23 Ma3oxuct Note Added: 0001161
2005-07-22 22:02 Ma3oxuct Note Added: 0001164
2005-07-22 22:07 Ma3oxuct File Added: amule-crash-end-of-log.txt
2005-07-23 04:59 Ma3oxuct Note Added: 0001165
2005-07-23 04:59 Ma3oxuct File Added: amule-log-snippet.txt
2005-07-23 18:21 Xaignar Note Added: 0001166
2005-07-24 07:07 Ma3oxuct Note Added: 0001168
2005-07-26 15:25 Xaignar Note Added: 0001171
2005-08-12 02:15 Xaignar Status acknowledged => resolved
2005-08-12 02:15 Xaignar Fixed in Version => CVS
2005-08-12 02:15 Xaignar Resolution open => fixed
2005-08-12 02:15 Xaignar Assigned To => Xaignar
2005-08-12 02:15 Xaignar Note Added: 0001213


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker